<form [formGroup]="form">
    <div style="padding: 20px 20px 5px 20px;">
        <div class="row">
            <div class="col-sm-4">
                <mat-form-field appearance="outline" class="full-width">
                    <mat-label>Categories</mat-label>
                    <mat-select>
                        <mat-option>
                            Test
                        </mat-option>
                    </mat-select>
                    <mat-error *ngIf="form.get('category').hasError('required')">
                        This field is required.
                    </mat-error>
                </mat-form-field>
            </div>
            <div class="col-sm-8">
                <mat-form-field appearance="outline" class="full-width">
                    <mat-label>To</mat-label>
                    <mat-select>
                        <mat-option value="1">
                            Test
                        </mat-option>
                    </mat-select>
                    <mat-error *ngIf="form.get('category').hasError('required')">
                        This field is required.
                    </mat-error>
                </mat-form-field>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <mat-form-field appearance="outline" class="full-width">
                    <mat-label>Template</mat-label>
                    <mat-select>
                        <mat-option value="1">
                            Test
                        </mat-option>
                    </mat-select>
                    <mat-error *ngIf="form.get('template').hasError('required')">
                        This field is required.
                    </mat-error>
                </mat-form-field>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-4">
                <mat-form-field appearance="outline" class="full-width">
                    <mat-label>Subject</mat-label>
                    <input matInput placeholder="Subject" />
                    <mat-error *ngIf="form.get('subject').hasError('required')">
                        This field is required.
                    </mat-error>
                </mat-form-field>
            </div>
            <div class="col-sm-8">
                <mat-form-field appearance="outline" class="full-width">
                    <mat-label>Tags</mat-label>
                    <app-letter-tag-list></app-letter-tag-list>
                    <mat-error *ngIf="form.get('category').hasError('required')">
                        This field is required.
                    </mat-error>
                </mat-form-field>
            </div>
        </div>

        <div class="row pb-2">
            <div style="width: 100%;">
                <!-- Document Description  -->
                <div class="col-xl-12">
                    <ckeditor formControlName="message" [config]="ckeConfig" debounce="500" style="width: 100%;">
                    </ckeditor>
                </div>
            </div>
        </div>

       
    </div>
    <mat-divider></mat-divider>
    <mat-dialog-content>

        <div class="app-popup-footer">
            <div>
                <button mat-stroked-button #btnRef="matButton" color="accent" (click)="cancel()" class="action-btn">
                    Cancel
                </button>
                <button mat-raised-button color="accent" class="action-btn ml-2" (click)="save()">
                    Save
                </button>
            </div>
        </div>
    </mat-dialog-content>
</form>